<ui:composition
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="filterform" styleClass="form-horizontal">

        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
            <ui:param name="id" value="domain"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.Domain']}</ui:define>
            <h:selectOneMenu id="domain" styleClass="form-control gzl-select-text"
                             value="#{bean.selectedDomain}">
                <s:selectItems var="domainAvailable"
                               label="#{domainAvailable}"
                               value="#{bean.getDomainsAvailable()}"
                               noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                <a4j:ajax event="change" execute="@this"
                          render="#{refreshOnChange},filterform"/>
            </h:selectOneMenu>
        </s:decorate>

        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
            <ui:param name="id" value="it"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.IntegrationProfile']}
            </ui:define>
            <h:selectOneMenu id="it" styleClass="form-control gzl-select-text"
                             value="#{bean.selectedIntegrationProfileName}">
                <s:selectItems var="iP" label="#{iP}"
                               value="#{bean.getIntegrationProfilesNames()}"
                               noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                <a4j:ajax event="change" execute="@this"
                          render="#{refreshOnChange},filterform"/>
            </h:selectOneMenu>
        </s:decorate>

        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
            <ui:param name="id" value="actors"/>
            <ui:define name="label">#{messages['gazelle.simulator.Actor']}</ui:define>
            <h:selectOneMenu id="actors" styleClass="form-control gzl-select-text"
                             value="#{bean.selectedActorName}">
                <s:selectItems var="filteredActor" label="#{filteredActor}"
                               value="#{bean.getActors()}"
                               noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                <a4j:ajax event="change" execute="@this"
                          render="#{refreshOnChange},filterform"/>
            </h:selectOneMenu>
        </s:decorate>

        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
            <ui:param name="id" value="transaction"/>
            <ui:define name="label">#{messages['gazelle.simu.Transaction']}</ui:define>
            <h:selectOneMenu id="transaction" styleClass="form-control gzl-select-text"
                             value="#{bean.selectedTransactionName}">
                <s:selectItems var="transactionAvailable"
                               label="#{transactionAvailable}"
                               value="#{bean.getTransactionNames()}"
                               noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                <a4j:ajax event="change" execute="@this"
                          render="#{refreshOnChange},filterform"/>
            </h:selectOneMenu>
        </s:decorate>

        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
            <ui:param name="id" value="testType"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.TestType']}</ui:define>
            <h:selectOneMenu id="testType" styleClass="form-control gzl-select-text"
                             value="#{bean.selectedTestType}">
                <s:selectItems var="testType" label="#{testType}"
                               value="#{bean.getTestTypes()}"
                               noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                <a4j:ajax event="change" execute="@this"
                          render="#{refreshOnChange},filterform"/>
            </h:selectOneMenu>
        </s:decorate>
    </h:form>
</ui:composition>